Subject: Re: bug#54704: [PATCH] 29.0.50; Broken code assistance for Scheme libraries

From: Eli Zaretskii <[email-masked]>
Date: Mon, 26 Dec 2022 14:49:33 +0200

> From: Rudolf Adamkovič <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 24 Dec 2022 23:32:21 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Please see the attached patch that makes Emacs recognize R6RS/R7RS
> >> library files, as well as, makes Emacs recognize their members.
> >
> > Thanks.
> 
> Thank you for your review!
> 
> > The "+++" mark means that the manuals have been updated with this
> > information.  I don't think this is the case, and we don't have any
> > manuals for the Scheme mode, right?  So this should be "---" instead.
> 
> Fixed.
> 
> >> +*** Auto-detection of Scheme library files
> >
> > Heading lines in NEWS should end with a period.
> 
> Fixed.
> 
> >> +Emacs now automatically enables the Scheme mode for R6RS library
> >> +sources ('.sls') and R7RS library definitions ('.sld').
> >
> > "source files" and "library definition files", right?
> 
> Nope.  Historically, Scheme has two *standard* library definitions,
> incompatible with each other, due to a bit "screwed up" transition from
> R5RS to R6RS and then R7RS.  While not mandated by the standards R6RS
> and R7RS standards, in the wild, these come as:
> 
> - Scheme Library Source ('.sls') for R6RS
> - Scheme Library Definition ('.sld) for R7RS
> 
> However!  I see how this can confuse the user, so I reworded both items
> in the NEWS file.  Importantly, I capitalized the names and put them
> right next to their extensions, to tie it all together.  Better?
> 
> >> ++++
> >> +*** Imenu members for R6RS and R7RS library members
> >
> > Same comments here.
> 
> Fixed.

Thanks.  I'd like to install this on the emacs-29 branch, so could you
please rebase the patch on top of emacs-29 and resubmit?